Skip to content
Proud to collaborate with Microsoft for Startups

docusign.contacts.get-contact-by-id ​

This method returns one or more contacts associated with a Docusign account. You can also retrieve contacts from connected [cloud storage][CloudStorage] providers by using the cloud_provider query parameter. By default, contacts are retrieved from the Docusign account's default address book. To return a specific contact, use the contactId query parameter. To return all contacts associated with an account, omit this parameter. [CloudStorage]: /docs/esign-rest-api/reference/cloudstorage/

Gets one or more contacts.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
contactidstringYes—The ID of a contact person in the account's address book. Note: To return all contacts, omit this parameter. It is not required.
cloud_providerstringNo—(Optional) The cloud provider from which to retrieve the contacts. Valid values are: - rooms - docusignCore (default)

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
contactidstringYes—The ID of a contact person in the account's address book. Note: To return all contacts, omit this parameter. It is not required.
cloud_providerstringNo—(Optional) The cloud provider from which to retrieve the contacts. Valid values are: - rooms - docusignCore (default)
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/contacts/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/contacts/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.contacts.get-contact-by-id",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "contactid": "value"
  }
}